This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 580711 - bugzilla cli falls down if bug does not contain a cc list
bugzilla cli falls down if bug does not contain a cc list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-08 16:25 EDT by Neil Horman
Modified: 2010-04-22 18:37 EDT (History)
0 users

See Also:
Fixed In Version: python-bugzilla-0.6.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 18:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to not fail if a bug doesn't have some optional attributes (896 bytes, patch)
2010-04-08 16:25 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Neil Horman 2010-04-08 16:25:21 EDT
Created attachment 405400 [details]
patch to not fail if a bug doesn't have some optional attributes

Description of problem:
The latest bugzilla install at Red Hat apparently doesn't always return a cc list in the xmlrpc response for a full query of a bug, resulting in a traceback and exit.  

Version-Release number of selected component (if applicable):


How reproducible:
often

Steps to Reproduce:
1.find a bug with no cc list item in bugzilla
2.bugzilla --user=X --pass=Y query -f --bug_id=<bz number from 1>

  
Actual results:
traceback

Expected results:
successful dump of bug

Additional info:
I've attached a patch below which fixes the issue
Comment 1 Will Woods 2010-04-08 16:30:14 EDT
As is my tradition, I'm using this bug to test the problem - hence my removing
myself from the CC list.

Anyone else reading this: Kindly do not add yourself to the CC list of this
bug, so it will stay empty.
Comment 2 Will Woods 2010-04-08 16:47:36 EDT
Probably the best solution here is to fix up the Bug object so bug.cc is always guaranteed to exist, even if it's an empty list. I'll have a patch that does this.. soonish.

P.S.: I'm sure you know this, but just for the record: "except: pass" is a great temporary workaround for the problem, but in general OH MAN NEVER DO THAT.
Comment 3 Fedora Update System 2010-04-16 15:26:54 EDT
python-bugzilla-0.6.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-bugzilla-0.6.1-1.fc13
Comment 4 Fedora Update System 2010-04-20 09:29:53 EDT
python-bugzilla-0.6.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-bugzilla'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-bugzilla-0.6.1-1.fc13
Comment 5 Fedora Update System 2010-04-22 18:35:18 EDT
python-bugzilla-0.6.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.